Downgrade PHP 5.3 to PHP 5.2, FreeBSD, OSC 2.2, deprecated, eregi

Раздел: FreeBSD
Написано: 2.05.2010
Автор: Antonio
Просмотров темы: 8 267 раз

Зарядил я вчера новый сервер на FreeBSD 8.0-RELEASE-p2 amd64, все как положено обновил порты, проинсталлился, сконфигурировался. Бах туда osCommerce 2.2 и понеслись deprecated, бах туда еще парочку типов сайтов, то же самое где лучше где хуже, полез смотреть код, потыкал, почитал и понял что пока оно того не стоит и вполне устроит последняя версия PHP 5.2.13. Начал вспоминать как когда-то уже делал Downgrade PHP (была проблема с каким-то модулем), и тут оказывается

В FreeBSD в портах добавили порт PHP ветки 5.2 — php52-5.2.13,
деинсталлируем PHP 5.3.2 и зависимости и

cd /usr/ports/lang/php52 ; make install clean
cd /usr/ports/lang/php52-extensions/ ; make install clean

и все зашуршало..

тут можно почитать о функциях которые уже устарели в PHP 5.3


1 звезда2 звезды3 звезды4 звезды5 звезд (2 оценок, в среднем: 4,50 из 5)

Поделиться с друзьями:

Ещё похожие заметки:


1 Comment

Alex
Сен 24, 2010 at 3:39

Спасибо. Мне только что пригодилось. Drupal модули не хотят как надо работать с 5.3.х.


 

Написать


Копирование информации с сайта возможно только с указанием прямой ссылки - https://nemcd.com